package com.ozacc.mail.impl;

import java.util.Properties;

import javax.mail.Session;

import junit.framework.TestCase;

/**
 * 
 * @author Tomohiro Otsuka
 * @version $Id: OMLMimeMessageTest.java,v 1.1 2004/09/20 21:43:33 otsuka Exp $
 */
public class OMLMimeMessageTest extends TestCase {

	public void testRandom() throws Exception {
		Properties p = new Properties();
		OMLMimeMessage msg1 = new OMLMimeMessage(Session.getInstance(p), "JavaMail@ozacc.com");
		OMLMimeMessage msg2 = new OMLMimeMessage(Session.getInstance(p), ".JavaMail@ozacc.com");
		
		String id1 = msg1.generateRandomMessageId();
		String id2 = msg2.generateRandomMessageId();

		assertNotSame(id1, id2);

		System.out.println(id1);
		System.out.println(id2);
	}
}